Package ru.bitel.bgbilling.plugins.crm.server.bean.event

# Class CreateProblemFromCallEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.plugins.crm.server.bean.event.CreateProblemFromCallEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class CreateProblemFromCallEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Синхронное событие - создание проблемы по звонку.
Событие генерируется при создании проблемы по звонку для модификации параметров проблемы.
Унаследован от `LocalEvent`

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CreateProblemFromCallEvent()`
  ``
  `CreateProblemFromCallEvent(int pluginId, Contract contract, ContractObject object, RegisterCall call, RegisterProblem problem)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RegisterCall`
  `getCall()`
  Возвращает зарегистрированный звонок
  `Contract`
  `getContract()`
  Возвращает договор
  `ContractObject`
  `getObject()`
  Возвращает объект договора
  `RegisterProblem`
  `getProblem()`
  Возвращает зарегистрированную проблему
  `int`
  `getTypeId()`
  Deprecated.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CreateProblemFromCallEvent

    protected CreateProblemFromCallEvent()

  - ### CreateProblemFromCallEvent

    public CreateProblemFromCallEvent(int pluginId, Contract contract, ContractObject object, RegisterCall call, RegisterProblem problem)
    Конструктор события.
    Parameters:
      `pluginId` - - код плагина
      `contract` - - договор
      `object` - - объект договора
      `call` - - звонок
      `problem` - - проблема

- ## Method Details

  - ### getTypeId

    @Deprecated public int getTypeId()
    Deprecated.
    Использовать проверку instanceof.
    Overrides:
      `getTypeId` in class `ru.bitel.bgbilling.kernel.event.common.Event`

  - ### getCall

    public RegisterCall getCall()
    Возвращает зарегистрированный звонок
    Returns:
      call - звонок

  - ### getContract

    public Contract getContract()
    Возвращает договор
    Returns:
      contract - договор

  - ### getObject

    public ContractObject getObject()
    Возвращает объект договора
    Returns:
      object - объект договора

  - ### getProblem

    public RegisterProblem getProblem()
    Возвращает зарегистрированную проблему
    Returns:
      problem - проблема